Important ASA (Admins Service Announcement) for Mastodon and generally PostgreSQL admins: Due to some changes in glibc some distribution upgrades will cause PostgreSQL text indexes to become corrupted, potentially leading to unique indexes not being correctly enforced and inconsistent application data.

THIS WILL ALSO HAPPEN IF YOU DO NOT UPDATE YOUR POSTGRESQL, A DISTRO UPDATE IS ENOUGH!

wiki.postgresql.org/wiki/Local

@thegcat Should maybe tag this with now that people might be tempted to move to the new Ubuntu LTS.

(glibc upgrade affects Postgres indices, see thread down from original post)

@galaxis Didn't know that that tag was "standard", thanks :-)

Follow

@thegcat Yeah, it's not really a standard unfortunately - some use "mastoadmins" too. (And I've also seen "fediadmins" - I think Pleroma uses a Postgres backend too? So other Fediverse software will likely be affected as well, btw.)

There's also a (mostly unused) mailing list and a forum at discourse.joinmastodon.org where instance admins are around.

Sign in to participate in the conversation
INFRa Mastodon

The social network of the future: No ads, no corporate surveillance, ethical design, and decentralization! Own your data with Mastodon!